#
# spec file for package perl-Convert-BinHex
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Convert-BinHex
Version:        1.125
Release:        1.27
%define cpan_name Convert-BinHex
Summary:        Extract Data From Macintosh Binhex Files
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Convert-BinHex/
Source0:        http://www.cpan.org/authors/id/S/ST/STEPHEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(Test::Most)
BuildRequires:  perl(autodie)
%{perl_requires}

%description
*BinHex* is a format used by Macintosh for transporting Mac files safely
through electronic mail, as short-lined, 7-bit, semi-compressed data
streams. Ths module provides a means of converting those data streams back
into into binary data.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes COPYING LICENSE README README-TOO test testin testout

%changelog
* Mon Nov 16 2015 coolo@suse.com
- updated to 1.125
  see /usr/share/doc/packages/perl-Convert-BinHex/Changes
  1.125 2015-11-15
  - Made the Test:: modules TEST_REQUIRES (ticket 108523, TODDR)
  1.124 2015-08-19
  - Changed debinhex to UTF-8
  - Made the Test:: modules optional (ticket 101974, mishikal at yahoo.com)
  - Fixed a manual typo (ticket 88874, gregoa at debian.org)
* Wed Apr  2 2014 coolo@suse.com
- regenerate with cpanspec to fix build
* Mon Oct 14 2013 lars@linux-schulserver.de
- update to 1.123:
  + Fixed pod error in debinhex and added pod tests
  + Added unit tests for OO and CRC code
  + Moved to Dist::Zilla's OurPkgVersion for keeping $VERSIONs in sync
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Aug 30 2011 andrea.turrini@gmail.com
- standardized "Authors:" format in description of
  perl-Convert-BinHex.spec
* Sun Aug 14 2011 andrea.turrini@gmail.com
- fixed typos in perl-Convert-BinHex.spec
* Wed Apr  6 2011 vcizek@novell.com
- corrected license to GPL+ or Artistic (same as Perl)
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Aug 10 2009 anicka@suse.cz
- removed dependency on perl-Exporter, not needed
* Thu Aug  6 2009 lars@linux-schulserver.de
- initial version 1.119
